#version 140

in vec3 pos;
in vec3 nrm;
in vec2 tex;

uniform mat4 perspective;
uniform mat4 matrix;

out vec3 o_nrm;
out vec2 o_tex;

void main() {
  o_nrm = transpose(inverse(mat3(matrix))) * nrm;
  o_tex = tex;
  gl_Position = perspective * matrix * vec4(pos, 1.0);
}
